package com.engine.organization.entity.jingyou;

import cn.hutool.core.convert.Convert;
import org.apache.commons.lang3.StringUtils;
import weaver.conn.RecordSet;
import weaver.hrm.company.SubCompanyComInfo;

import java.util.ArrayList;

/**
 * @author:dxfeng
 * @createTime: 2024/07/19
 * @version: 1.0
 */
public class JySubCompanyChart extends JyChart {

    @Override
    public String getFplan() {
        RecordSet rs = getRecordSet();
        ArrayList<String> ids = new ArrayList<>();
        String fecid = super.getFecid();
        new SubCompanyComInfo().getSubCompanyLists(fecid, ids);
        ids.add(fecid);
        String idsStr = StringUtils.join(ids, ",");
        rs.executeQuery("select sum(staff_num) as num from jcl_org_staff where comp_id in(" + idsStr + ")  and delete_type = 0 ");
        if (rs.next()) {
            return String.valueOf(Convert.toInt(rs.getString("num"),0));
        }

        return "0";
    }

    @Override
    public String getFonjob() {
        String fecid = super.getFecid();
        if (StringUtils.isNotBlank(fecid)) {
            RecordSet rs = getRecordSet();
            ArrayList<String> ids = new ArrayList<>();
            new SubCompanyComInfo().getSubCompanyLists(fecid,ids);
            ids.add(fecid);
            String idsStr = StringUtils.join(ids, ",");

            // 查询在岗数
            rs.executeQuery("select count(id) as fonjob from hrmresource where status <4 and subcompanyid1 in (" + idsStr + ")");
            if (rs.next()) {
                return rs.getString("fonjob");
            }
        }
        return "0";
    }

    @Override
    public String getFleadername() {
        return "";
    }

    @Override
    public boolean equals(Object o) {
        return super.equals(o);
    }

    @Override
    public int hashCode() {
        return super.hashCode();
    }
}
