package com.engine.organization.entity.jingyou;

import cn.hutool.core.convert.Convert;
import org.apache.commons.lang3.StringUtils;
import weaver.conn.RecordSet;

/**
 * @author:dxfeng
 * @createTime: 2024/07/19
 * @version: 1.0
 */
public class JyJobChart extends JyChart {
    @Override
    public String getFplan() {
        RecordSet rs = getRecordSet();
        rs.executeQuery("select sum(staff_num) as num from jcl_org_staff where job_id = ? and delete_type = 0 ",getFecid());
        if(rs.next()){
            return String.valueOf(Convert.toInt(rs.getString("num"),0));
        }

        return "0";
    }

    @Override
    public String getFonjob() {
        RecordSet rs = getRecordSet();
        String fecid = super.getFecid();
        if (StringUtils.isNotBlank(fecid)) {
            // 查询在岗数
            rs.executeQuery("select count(a.id) as fonjob from hrmresource a inner join cus_fielddata b  on a.id = b.id and b.scope ='hrmcustomfieldbyinfotype' and b.scopeid ='-1' where a.status <4 and  b.field100002 = ?", fecid);
            if (rs.next()) {
                return rs.getString("fonjob");
            }
        }
        return "0";
    }

    @Override
    public String getFobjid() {
        return super.getFecid();
    }

    @Override
    public boolean equals(Object o) {
        return super.equals(o);
    }

    @Override
    public int hashCode() {
        return super.hashCode();
    }
}
