package com.engine.organization.entity.jingyou;

import com.engine.organization.service.impl.JyChartServiceImpl;
import org.apache.commons.lang3.StringUtils;
import weaver.conn.RecordSet;

/**
 * @author:dxfeng
 * @createTime: 2024/07/19
 * @version: 1.0
 */
public class JyResourceChart extends JyChart {
    @Override
    public String getFleaderjob() {
        String parentId = getParentId();
        if (StringUtils.isNotBlank(parentId)) {
            String chartId = JyChartServiceImpl.getChartId(parentId);
            if (StringUtils.isNotBlank(chartId)) {
                RecordSet rs = getRecordSet();
                rs.executeQuery("select job_name from jcl_org_job where id = ?", chartId);
                if (rs.next()) {
                    return rs.getString("job_name");
                }
            }
        }
        return "";
    }

    @Override
    public boolean equals(Object o) {
        return super.equals(o);
    }

    @Override
    public int hashCode() {
        return super.hashCode();
    }
}
